# keepAlive.probes

Defines how many keep-alive retries occur before the connection is declared dead.

This parameter applies to imrelp: RELP Input Module.

Name:

  keepAlive.probes

Scope:

  input

Type:

  integer

Default:

  input=0

Required?:

  no

Introduced:

  Not documented

## Description

The number of keep-alive probes to send before considering the connection dead and notifying the application layer. The default, 0, means that the operating system defaults are used. This only has an effect if keep-alive is enabled. The functionality may not be available on all platforms.

## Input usage

    input(type="imrelp" port="2514" keepAlive="on" keepAlive.probes="5")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.